## kodi-screensaver-pingpong 2.4.0+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(screensaver.pingpong)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)

if(NOT WIN32)
  find_package(glm REQUIRED)

  if(APP_RENDER_SYSTEM STREQUAL "gl" OR NOT APP_RENDER_SYSTEM)
    find_package(OpenGl REQUIRED)
    set(DEPLIBS ${OPENGL_LIBRARIES})
    set(includes ${OPENGL_INCLUDE_DIR})
    add_definitions(${OPENGL_DEFINITIONS})
  elseif(APP_RENDER_SYSTEM STREQUAL "gles")
    find_package(OpenGLES REQUIRED)
    set(DEPLIBS ${OPENGLES_LIBRARIES})
    set(includes ${OPENGLES_INCLUDE_DIR})
    add_definitions(${OPENGLES_DEFINITIONS})
  endif()
endif()

include_directories(${GLM_INCLUDE_DIR}
                    ${KODI_INCLUDE_DIR}/..) # Hack way with "/..", need bigger Kodi cmake rework to match right include ways

set(PINGPONG_SOURCES src/main.cpp
                     src/pingpong.cpp)

set(PINGPONG_HEADERS src/main.h
                     src/pingpong.h
                     src/timer.h
                     src/types.h)

build_addon(screensaver.pingpong PINGPONG DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-screensaver-pingpong (2.4.0+ds1-2) unstable; urgency=medium

  * Force override libdir paths
  * Bump copyright years
  * Sort gl/gles build-dependencies out

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:24:13 +0000

kodi-screensaver-pingpong (2.4.0+ds1-1) unstable; urgency=medium

  * Initial upload

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 28 Dec 2020 07:03:37 +0000

=== debian/control ===
Source: kodi-screensaver-pingpong
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dh-sequence-kodiaddon,
               cmake,
               kodi-addons-dev (>= 2:19~),
               libgles2-mesa-dev [arm64 armel armhf],
               libgl1-mesa-dev [!arm64 !armel !armhf],
               libglm-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-screensaver-pingpong
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-screensaver-pingpong.git
Homepage: https://kodi.tv

Package: kodi-screensaver-pingpong
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${kodi:SCREENSAVERAPI}
Description: Pingpong screensaver for Kodi
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is a Pingpong screensaver for Kodi

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/screensaver.pingpong/releases \
/xbmc/screensaver.pingpong/archive/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi-screensaver-pingpong 19.0.0+ds1

=== debian/changelog ===
kodi-screensaver-pingpong (19.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.0+ds1
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:14:37 +0000

kodi-screensaver-pingpong (2.4.0+ds1-3) unstable; urgency=medium

  * Fix github ref
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 Aug 2021 05:39:46 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libgles2-mesa-dev [arm64 armel armhf],
                libgl1-mesa-dev [!arm64 !armel !armhf],
                libglm-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-screensaver-pingpong
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-screensaver-pingpong.git

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/screensaver.pingpong/releases \
/xbmc/screensaver.pingpong/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-screensaver-pingpong 19.0.1%2Bds1

=== debian/changelog ===
kodi-screensaver-pingpong (19.0.1+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:41:55 +0000

kodi-screensaver-pingpong (19.0.1+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.1+ds1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:49:18 +0000

## kodi-screensaver-pingpong 19.0.1+ds1

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
                cmake,
-               kodi-addons-dev (>= 2:19~),
                libgles2-mesa-dev [arm64 armel armhf],
                libgl1-mesa-dev [!arm64 !armel !armhf],
                libglm-dev

## kodi-screensaver-pingpong 20.1.0+ds1

=== debian/changelog ===
kodi-screensaver-pingpong (20.1.0+ds1-2) unstable; urgency=medium

  * d/watch: switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:54:55 +0000

kodi-screensaver-pingpong (20.1.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.1.0+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:55:06 +0000

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:19~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
                cmake,
                libgles2-mesa-dev [arm64 armel armhf],
                libgl1-mesa-dev [!arm64 !armel !armhf],
                libglm-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-screensaver-pingpong
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-screensaver-pingpong.git

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds1, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/xbmc/screensaver.pingpong \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-screensaver-pingpong 20.2.0+ds

=== debian/changelog ===
kodi-screensaver-pingpong (20.2.0+ds-1) unstable; urgency=medium

  * New upstream version 20.2.0+ds
  * Bmp copyright years
  * d/watch: Fix repack suffix
  * d/gbp.conf: Fix debian and upstream branches

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 04 Feb 2024 08:41:19 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libgles2-mesa-dev [arm64 armel armhf],
                libgl1-mesa-dev [!arm64 !armel !armhf],
                libglm-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-screensaver-pingpong
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-screensaver-pingpong.git

=== debian/watch ===
--- 
+++ 
@@ -6,7 +6,7 @@
 opts="mode=git, \
       pgpmode=none, \
       repack, \
-      repacksuffix=+ds1, \
+      repacksuffix=+ds, \
       compression=xz, \
       dversionmangle=auto" \
 https://github.com/xbmc/screensaver.pingpong \

## kodi-screensaver-pingpong 21.0.2+ds

=== debian/changelog ===
kodi-screensaver-pingpong (21.0.2+ds-1) unstable; urgency=high

  * New upstream version 21.0.2+ds
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:47:03 +0000

kodi-screensaver-pingpong (20.2.0+ds-3) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:14:54 +0000

kodi-screensaver-pingpong (20.2.0+ds-2) unstable; urgency=medium

  * Branch out experimental
  * Modernize package
  * New release 20.1.0+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch
  * Bump standards version to 4.7.0 (no changes required)

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 08:46:29 +0000

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
                cmake,
                libgles2-mesa-dev [arm64 armel armhf],
                libgl1-mesa-dev [!arm64 !armel !armhf],
                libglm-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-screensaver-pingpong
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-screensaver-pingpong.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-screensaver-pingpong.git -b debian/sid
 Homepage: https://kodi.tv
 
 Package: kodi-screensaver-pingpong

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/xbmc/screensaver.pingpong \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian
